Index: lavtools/lavvideo.c
===================================================================
--- lavtools/lavvideo.c.orig
+++ lavtools/lavvideo.c
@@ -63,7 +63,7 @@ Copyright by Gernot Ziegler.
  * errors here, check your linux/time.h && sys/time.h header setup.
  */
 #define _LINUX_TIME_H
-#include <linux/videodev.h>
+#include <libv4l1-videodev.h>

 #include <videodev_mjpeg.h>
 #include <frequencies.h>
Index: lavtools/liblavplay.c
===================================================================
--- lavtools/liblavplay.c.orig
+++ lavtools/liblavplay.c
@@ -68,7 +68,8 @@
  * errors here, check your linux/time.h && sys/time.h header setup.
  */
 #define _LINUX_TIME_H
-#include <linux/videodev.h>
+#include <libv4l1-videodev.h>
+#define BASE_VIDIOCPRIVATE  192     /* 192-255 are private */
 #else
 #define VIDEO_MODE_PAL		0
 #define VIDEO_MODE_NTSC		1
Index: lavtools/liblavrec.c
===================================================================
--- lavtools/liblavrec.c.orig
+++ lavtools/liblavrec.c
@@ -63,7 +63,8 @@
  * errors here, check your linux/time.h && sys/time.h header setup.
  */
 #define _LINUX_TIME_H
-#include <linux/videodev.h>
+#include <libv4l1-videodev.h>
+#define BASE_VIDIOCPRIVATE  192     /* 192-255 are private */
 #ifdef HAVE_SYS_SOUNDCARD_H
 #include <sys/soundcard.h>
 #endif
Index: lavtools/testrec.c
===================================================================
--- lavtools/testrec.c.orig
+++ lavtools/testrec.c
@@ -89,7 +89,7 @@
  * errors here, check your linux/time.h && sys/time.h header setup.
  */
 #define _LINUX_TIME_H
-#include <linux/videodev.h>
+#include <libv4l1-videodev.h>
 #include <linux/soundcard.h>

 /* These are explicit prototypes for the compiler, to prepare separation of audiolib.c */
Index: configure.ac
===================================================================
--- configure.ac.orig
+++ configure.ac
@@ -164,7 +164,7 @@ AC_ARG_WITH([v4l], AC_HELP_STRING([--wit
 AS_IF([test "x$with_v4l" != "xno"], [
 case $host in
   *-*-linux*)
-  AC_CHECK_HEADER(linux/videodev.h,
+  AC_CHECK_HEADER(libv4l1-videodev.h,
                   [have_video4linux=true
                    AC_DEFINE(HAVE_V4L, 1,
		             [Building for Linux - using the video4linux API])], [])
@@ -173,7 +173,7 @@ esac])

 AS_IF([test "x$have_video4linux" != "xtrue" && test "x$with_v4l" != "xno"],
         [have_video4linux=false
-	 AC_MSG_WARN([videodev.h not found - please install the linux kernel headers programms needing v4l disabled])])
+	 AC_MSG_WARN([libv4l1-videodev.h not found - please install the linux kernel headers programms needing v4l disabled])])
 AM_CONDITIONAL(HAVE_V4L, test x$have_video4linux = xtrue)

 dnl *********************************************************************
Index: configure
===================================================================
--- configure.orig
+++ configure
@@ -16392,7 +16392,7 @@ if test "x$with_v4l" != "xno"; then :

 case $host in
   *-*-linux*)
-  ac_fn_c_check_header_mongrel "$LINENO" "linux/videodev.h" "ac_cv_header_linux_videodev_h" "$ac_includes_default"
+  ac_fn_c_check_header_mongrel "$LINENO" "libv4l1-videodev.h" "ac_cv_header_linux_videodev_h" "$ac_includes_default"
 if test "x$ac_cv_header_linux_videodev_h" = xyes; then :
   have_video4linux=true

@@ -16407,8 +16407,8 @@ fi

 if test "x$have_video4linux" != "xtrue" && test "x$with_v4l" != "xno"; then :
   have_video4linux=false
-	 { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: videodev.h not found - please install the linux kernel headers programms needing v4l disabled" >&5
-$as_echo "$as_me: WARNING: videodev.h not found - please install the linux kernel headers programms needing v4l disabled" >&2;}
+	 { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: libv4l1-videodev.h not found - please install the linux kernel headers programms needing v4l disabled" >&5
+$as_echo "$as_me: WARNING: libv4l1-videodev.h not found - please install the linux kernel headers programms needing v4l disabled" >&2;}
 fi
  if test x$have_video4linux = xtrue; then
   HAVE_V4L_TRUE=
